VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Window transparency"
   ClientHeight    =   2370
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3435
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2370
   ScaleWidth      =   3435
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Interval        =   1
      Left            =   120
      Top             =   120
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Window Transparency ;)
' by    Emanuele Di Santo
' Via:  Fabio Rulliano 19
' Cap:  00175 ROMA
'-------------------------

Option Explicit

'Api..
Private Declare Function SetLayeredWindowAttributes Lib "user32.dll" (ByVal hwnd As Long, ByVal crKey As Long, ByVal bAlpha As Byte, ByVal dwFlags As Long) As Boolean
Private Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long

'Constanti
Const LWA_ALPHA = 2
Const GWL_EXSTYLE = (-20)
Const WS_EX_LAYERED = &H80000

'Variabli
Public bytTransparency As Byte  'Trasparenza form
Public bIsFormLoaded As Boolean
'

Private Sub Form_Click()
bIsFormLoaded = False
Timer1.Enabled = True
End Sub

Private Sub Form_Load()
SetWindowLong hwnd, GWL_EXSTYLE, GetWindowLong(hwnd, GWL_EXSTYLE) Or WS_EX_LAYERED
bytTransparency = 0
bIsFormLoaded = True
End Sub

Private Sub Timer1_Timer()

If bIsFormLoaded = True Then

    If bytTransparency >= 252 Then Timer1.Enabled = False
    bytTransparency = bytTransparency + 3
    SetLayeredWindowAttributes hwnd, 0, bytTransparency, LWA_ALPHA

Else

    If bytTransparency = 3 Then Timer1.Enabled = False: End
    bytTransparency = bytTransparency - 3
    SetLayeredWindowAttributes hwnd, 0, bytTransparency, LWA_ALPHA

End If

End Sub
